Uploaded image for project: 'Red Hat Fuse'
  1. Red Hat Fuse
  2. ENTESB-7069

'enabledVersion' field in Gateway-HTTP seems to be unimplemented.

    Details

      Description

      • For gateway-http there is field enabledVersion. We try to set it but we don't see it is effective and is ignored.
      • I found that this field has entries in only two classes:
        [cpandey@cpandey fuse-sources-630187]$ grep -lri enabledVersion|grep main
        fabric8-bom-1.2.0.redhat-630187/gateway/gateway-fabric/src/main/java/io/fabric8/gateway/fabric/http/HttpMappingRuleConfiguration.java
        fabric8-bom-1.2.0.redhat-630187/gateway/gateway-fabric-support/src/main/java/io/fabric8/gateway/fabric/support/http/HttpMappingRuleBase.java
        
      • As per field description:
        Specify the exact profile version to expose; if none is specified then the gateways current profile version is used.\nIf a {version} URI template is used then all versions are exposed.
        
      • So we expected that if we enable this field like 'enabledVersion=1.1" in io.fabric8.gateway.http.mapping-apis.properties, than gateway should forward request for profile in 1.1 even if gateway is in 1.0 profile.
      • There is no logic implemented for this field, it is just set to the object.

        Gliffy Diagrams

          Attachments

            Activity

              People

              • Assignee:
                sonicaaaa Paolo Antinori
                Reporter:
                cpandey Chandra Shekhar Pandey
              • Votes:
                1 Vote for this issue
                Watchers:
                5 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: